# Uses of Class
org.bukkit.attribute.AttributeModifier

Packages that use AttributeModifier
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.attribute
Classes relevant to attributes.
org.bukkit.inventory.meta
The interfaces used when manipulating extra data can can be stored inside `item stacks`.
org.bukkit.potion
Classes to represent various `potion` properties and manipulation.

## Uses of AttributeModifier in org.bukkit

Methods in org.bukkit that return types with arguments of type AttributeModifier
Modifier and Type
Method
Description
`@NotNull Multimap<Attribute,AttributeModifier>`
Material.`getDefaultAttributeModifiers(@NotNull EquipmentSlot slot)`
Return an immutable copy of all default `Attribute`s and their `AttributeModifier`s for a given `EquipmentSlot`.
`Multimap<Attribute,AttributeModifier>`
UnsafeValues.`getDefaultAttributeModifiers(Material material, EquipmentSlot slot)`
Deprecated.
`@NotNull Multimap<Attribute,AttributeModifier>`
Material.`getItemAttributes(@NotNull EquipmentSlot equipmentSlot)`
Deprecated.
use `Material.getDefaultAttributeModifiers(EquipmentSlot)`
`@NotNull Multimap<Attribute,AttributeModifier>`
UnsafeValues.`getItemAttributes(@NotNull Material material, @NotNull EquipmentSlot equipmentSlot)`
Deprecated.
Returns an immutable multimap of attributes for the material and slot.

## Uses of AttributeModifier in org.bukkit.attribute

Methods in org.bukkit.attribute that return AttributeModifier
Modifier and Type
Method
Description
`static @NotNull AttributeModifier`
AttributeModifier.`deserialize(@NotNull Map<String,Object> args)`
Methods in org.bukkit.attribute that return types with arguments of type AttributeModifier
Modifier and Type
Method
Description
`@NotNull Collection<AttributeModifier>`
AttributeInstance.`getModifiers()`
Get all modifiers present on this instance.
Methods in org.bukkit.attribute with parameters of type AttributeModifier
Modifier and Type
Method
Description
`void`
AttributeInstance.`addModifier(@NotNull AttributeModifier modifier)`
Add a modifier to this instance.
`void`
AttributeInstance.`removeModifier(@NotNull AttributeModifier modifier)`
Remove a modifier from this instance.

## Uses of AttributeModifier in org.bukkit.inventory.meta

Methods in org.bukkit.inventory.meta that return types with arguments of type AttributeModifier
Modifier and Type
Method
Description
`@Nullable Multimap<Attribute,AttributeModifier>`
ItemMeta.`getAttributeModifiers()`
Return an immutable copy of all Attributes and their modifiers in this ItemMeta.
Returns null if none exist.
`@Nullable Collection<AttributeModifier>`
ItemMeta.`getAttributeModifiers(@NotNull Attribute attribute)`
Return an immutable copy of all `AttributeModifier`s for a given `Attribute`
`@NotNull Multimap<Attribute,AttributeModifier>`
ItemMeta.`getAttributeModifiers(@NotNull EquipmentSlot slot)`
Return an immutable copy of all `Attribute`s and their `AttributeModifier`s for a given `EquipmentSlot`.
Any `AttributeModifier` that does have have a given `EquipmentSlot` will be returned.
Methods in org.bukkit.inventory.meta with parameters of type AttributeModifier
Modifier and Type
Method
Description
`boolean`
ItemMeta.`addAttributeModifier(@NotNull Attribute attribute, @NotNull AttributeModifier modifier)`
Add an Attribute and it's Modifier.
`boolean`
ItemMeta.`removeAttributeModifier(@NotNull Attribute attribute, @NotNull AttributeModifier modifier)`
Remove a specific `Attribute` and `AttributeModifier`.
Method parameters in org.bukkit.inventory.meta with type arguments of type AttributeModifier
Modifier and Type
Method
Description
`void`
ItemMeta.`setAttributeModifiers(@Nullable Multimap<Attribute,AttributeModifier> attributeModifiers)`
Set all `Attribute`s and their `AttributeModifier`s.

## Uses of AttributeModifier in org.bukkit.potion

Methods in org.bukkit.potion that return types with arguments of type AttributeModifier
Modifier and Type
Method
Description
`abstract @NotNull Map<Attribute,AttributeModifier>`
PotionEffectType.`getEffectAttributes()`
Gets the effect attributes in an immutable map.
`Map<Attribute,AttributeModifier>`
PotionEffectTypeWrapper.`getEffectAttributes()`